Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
discounts
/
available_for_receipt
/
claims
Claim discounts
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/discounts/available_for_receipt/claims \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "purchase_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "discounts": [
    {
      "id": "<string>",
      "refs": [
        {
          "id": "<string>",
          "amount": 1,
          "usage": 1
        }
      ]
    }
  ]
}
'
{
  "purchase_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "discounts": [
    {
      "id": "<string>",
      "refs": [
        {
          "id": "<string>",
          "amount": 1,
          "usage": 1
        }
      ]
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "ref": "transactionid1",
  "type": "pos"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

discounts to claim

purchase_at
string<date-time>
required

The date and time for the purchase the claim is done for.

customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255
discounts
object[]
required

Discounts to claim

Minimum array length: 1
ref
string

an external reference for the claim. Must be unique for the claim, reuse of ref will result in conflict

Example:

"transactionid1"

type
string

an external type for the claim

Example:

"pos"

Response

claim accepted

purchase_at
string<date-time>
required

The date and time for the purchase the claim is done for.

customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255
discounts
object[]
required

Discounts to claim

Minimum array length: 1
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
ref
string

an external reference for the claim. Must be unique for the claim, reuse of ref will result in conflict

Example:

"transactionid1"

type
string

an external type for the claim

Example:

"pos"